Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Interface RowFilter

All Known Implementing Classes:
  RowFilterKey

public interface RowFilter

Method Summary
`int` | `getParamLength()` Returns the number of elements in the array of parameters that make up the row filter.
`java.lang.Object[]` | `getParamValues()` Returns the array of parameter values that make up the row filter.
`int` | `getRowInitLength()` Returns the number of elements in the array of row init values.
`java.lang.Object[]` | `getRowInitValues()` Returns the array of row init values.
`ViewObjectImpl` | `getViewObjectImpl()` Retrieves the view object association with the row filter.
`boolean` | `isNull()` Indicates whether this row filter represents a null filter or not.
`boolean` | `paramQualifies(java.lang.Object[] values)` Returns a flag indicating whether `values` is qualified by this row filter or not.

Method Detail

### getViewObjectImpl

    public ViewObjectImpl getViewObjectImpl()

  Retrieves the view object association with the row filter.
  Returns:
    the view object.

### isNull

    public boolean isNull()

  Indicates whether this row filter represents a null filter or not.
  Returns:
    flag indicating whether the row filter represents a null filter or not.

### getParamLength

    public int getParamLength()

  Returns the number of elements in the array of parameters that make up the row filter.
  Returns:
    the number of elements.

### getParamValues

    public java.lang.Object[] getParamValues()

  Returns the array of parameter values that make up the row filter.
  Returns:
    the parameter array.

### paramQualifies

    public boolean paramQualifies(java.lang.Object[] values)

  Returns a flag indicating whether `values` is qualified by this row filter or not.
  Parameters:
    `values` - values to examine for qualification.
  Returns:
    a flag indicating whether it passes or not.

### getRowInitLength

    public int getRowInitLength()

  Returns the number of elements in the array of row init values.
  Returns:
    the number of elements.

### getRowInitValues

    public java.lang.Object[] getRowInitValues()

  Returns the array of row init values.
  Returns:
    the row init value array.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD